<?php
// Copyright 1999-2022. Plesk International GmbH. All rights reserved.
?>
<div id="secureDescription" style="display: none;">
    <div>
        <p><b><?php echo $this->lmsg('enabledHeader'); ?></b></p>
    </div>
    <p><?php echo $this->lmsg('enabledExplanation'); ?></p>
    <ol class="ol">
        <li><?php echo $this->lmsg('enabledExplanationItem1'); ?></li>
        <li><?php echo $this->lmsg('enabledExplanationItem2'); ?></li>
    </ol>
    <p><b><?php echo $this->lmsg('enabledNote'); ?></b></p>
</div>

<script type="text/javascript">
    //<![CDATA[
    Jsw.onReady(function () {
        var hintContainer = document.createElement('span');
        hintContainer.className = 'hint-inline hint-info';
        var hint = document.createElement('span');
        hint.innerHTML = <?php echo $this->jsLmsg('hintInfo'); ?>;
        Jsw.render(hintContainer, hint);

        Jsw.render(document.querySelector('#encryptionSection label'), hintContainer, 'after');
        new Jsw.DynamicPopupHint.Instance({
            title: <?php echo $this->jsLmsg('hintTitle'); ?>,
            placement: 'right',
            target: hint,
            content: document.getElementById('secureDescription').innerHTML
        });
        document.getElementById('secureDescription').innerHTML = '';
    });
    //]]>
</script>
